summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorlinuxSEAT2015-12-09 20:33:56 +0300
committerlinuxSEAT2015-12-09 20:33:56 +0300
commitf2d1ab26ffe386d1d27490734b1c1e179f763fd7 (patch)
treefcd1e9282618cc4b48087aa4aad8dab69ef2c24f /PKGBUILD
downloadaur-revit.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3c6f18badb2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Contributor: linuxSEAT <--put_my_name_here--@gmail.com>
+# Contributor: Adam Wolk <netprobe@gmail.com>
+
+pkgname=revit
+pkgver=20070804
+pkgrel=3
+pkgdesc='A file carving tool for recovery and forensics'
+url='https://github.com/libyal/reviveit'
+license=('custom')
+arch=('i686' 'x86_64')
+depends=('openssl' 'file')
+optdepends=('libewf: Support for Expert Witness Compression Format (EWF)')
+options=(!libtool)
+source=(https://c70f42b85bd16a3cde2c01fb0fba7562a16d22fd.googledrive.com/host/0B3fBvzttpiiSXzFYdm55enhGLU0/${pkgname}07-alpha-$pkgver.tar.gz
+ $pkgname.patch)
+
+build() {
+ cd $srcdir/${pkgname}07-$pkgver
+ patch -p1 -i $startdir/$pkgname.patch || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc/$pkgname || return 1
+ make || return 1
+}
+
+package () {
+ cd $srcdir/${pkgname}07-$pkgver
+ make DESTDIR=$pkgdir install || return 1
+
+ install -Dm644 COPYING ${pkgdir}/usr/share/licenses/$pkgname/LICENSE
+ cp etc/* $pkgdir/etc/$pkgname/
+}
+
+md5sums=('3a6edb1f5a581c180ae70ee2f2982f27'
+ '9cfbdd744c6ebaab732cc28d26240b7c')